CRAN Package Check Results for Package qs

Last updated on 2021-10-24 16:54:13 CEST.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 0.25.1 49.06 35.84 84.90 WARN
r-devel-linux-x86_64-debian-gcc 0.25.1 52.99 28.35 81.34 WARN
r-devel-linux-x86_64-fedora-clang 0.25.1 148.59 WARN
r-devel-linux-x86_64-fedora-gcc 0.25.1 140.48 WARN
r-devel-windows-x86_64 0.25.1 117.00 78.00 195.00 OK
r-devel-windows-x86_64-gcc10-UCRT 0.25.1 OK
r-patched-linux-x86_64 0.25.1 58.15 34.87 93.02 WARN
r-patched-solaris-x86 0.25.1 167.00 OK
r-release-linux-x86_64 0.25.1 58.05 34.62 92.67 WARN
r-release-macos-arm64 0.25.1 NOTE
r-release-macos-x86_64 0.25.1 NOTE
r-release-windows-ix86+x86_64 0.25.1 184.00 90.00 274.00 NOTE
r-oldrel-macos-x86_64 0.25.1 NOTE
r-oldrel-windows-ix86+x86_64 0.25.1 236.00 90.00 326.00 NOTE

Check Details

Version: 0.25.1
Check: top-level files
Result: WARN
     Output from running autoreconf:
     configure.ac:8: warning: The macro `AC_HELP_STRING' is obsolete.
     configure.ac:8: You should run autoupdate.
     ./lib/autoconf/general.m4:204: AC_HELP_STRING is expanded from...
     configure.ac:8: the top level
     configure.ac:13: warning: The macro `AC_HELP_STRING' is obsolete.
     configure.ac:13: You should run autoupdate.
     ./lib/autoconf/general.m4:204: AC_HELP_STRING is expanded from...
     configure.ac:13: the top level
     configure.ac:18: warning: The macro `AC_HELP_STRING' is obsolete.
     configure.ac:18: You should run autoupdate.
     ./lib/autoconf/general.m4:204: AC_HELP_STRING is expanded from...
     configure.ac:18: the top level
     configure.ac:23: warning: The macro `AC_HELP_STRING' is obsolete.
     configure.ac:23: You should run autoupdate.
     ./lib/autoconf/general.m4:204: AC_HELP_STRING is expanded from...
     configure.ac:23: the top level
     configure.ac:28: warning: The macro `AC_HELP_STRING' is obsolete.
     configure.ac:28: You should run autoupdate.
     ./lib/autoconf/general.m4:204: AC_HELP_STRING is expanded from...
     configure.ac:28: the top level
     configure.ac:33: warning: The macro `AC_HELP_STRING' is obsolete.
     configure.ac:33: You should run autoupdate.
     ./lib/autoconf/general.m4:204: AC_HELP_STRING is expanded from...
     configure.ac:33: the top level
     configure.ac:38: warning: The macro `AC_HELP_STRING' is obsolete.
     configure.ac:38: You should run autoupdate.
     ./lib/autoconf/general.m4:204: AC_HELP_STRING is expanded from...
     configure.ac:38: the top level
Flavors: r-devel-linux-x86_64-debian-clang, r-devel-linux-x86_64-debian-gcc, r-patched-linux-x86_64, r-release-linux-x86_64

Version: 0.25.1
Check: installed package size
Result: NOTE
     installed size is 7.5Mb
     sub-directories of 1Mb or more:
     doc 1.1Mb
     libs 6.2Mb
Flavors: r-devel-linux-x86_64-fedora-clang, r-release-macos-arm64, r-release-macos-x86_64, r-release-windows-ix86+x86_64, r-oldrel-macos-x86_64, r-oldrel-windows-ix86+x86_64

Version: 0.25.1
Check: top-level files
Result: WARN
     Output from running autoreconf:
     configure.ac:8: warning: The macro `AC_HELP_STRING' is obsolete.
     configure.ac:8: You should run autoupdate.
     ./lib/autoconf/general.m4:204: AC_HELP_STRING is expanded from...
     configure.ac:8: the top level
     configure.ac:13: warning: The macro `AC_HELP_STRING' is obsolete.
     configure.ac:13: You should run autoupdate.
     ./lib/autoconf/general.m4:204: AC_HELP_STRING is expanded from...
     configure.ac:13: the top level
     configure.ac:18: warning: The macro `AC_HELP_STRING' is obsolete.
     configure.ac:18: You should run autoupdate.
     ./lib/autoconf/general.m4:204: AC_HELP_STRING is expanded from...
     configure.ac:18: the top level
     configure.ac:23: warning: The macro `AC_HELP_STRING' is obsolete.
     configure.ac:23: You should run autoupdate.
     ./lib/autoconf/general.m4:204: AC_HELP_STRING is expanded from...
     configure.ac:23: the top level
     configure.ac:28: warning: The macro `AC_HELP_STRING' is obsolete.
     configure.ac:28: You should run autoupdate.
     ./lib/autoconf/general.m4:204: AC_HELP_STRING is expanded from...
     configure.ac:28: the top level
     configure.ac:33: warning: The macro `AC_HELP_STRING' is obsolete.
     configure.ac:33: You should run autoupdate.
     ./lib/autoconf/general.m4:204: AC_HELP_STRING is expanded from...
     configure.ac:33: the top level
     configure.ac:38: warning: The macro `AC_HELP_STRING' is obsolete.
     configure.ac:38: You should run autoupdate.
     ./lib/autoconf/general.m4:204: AC_HELP_STRING is expanded from...
     configure.ac:38: the top level
     configure.ac:8: warning: The macro `AC_HELP_STRING' is obsolete.
     configure.ac:8: You should run autoupdate.
     ./lib/autoconf/general.m4:204: AC_HELP_STRING is expanded from...
     configure.ac:8: the top level
     configure.ac:13: warning: The macro `AC_HELP_STRING' is obsolete.
     configure.ac:13: You should run autoupdate.
     ./lib/autoconf/general.m4:204: AC_HELP_STRING is expanded from...
     configure.ac:13: the top level
     configure.ac:18: warning: The macro `AC_HELP_STRING' is obsolete.
     configure.ac:18: You should run autoupdate.
     ./lib/autoconf/general.m4:204: AC_HELP_STRING is expanded from...
     configure.ac:18: the top level
     configure.ac:23: warning: The macro `AC_HELP_STRING' is obsolete.
     configure.ac:23: You should run autoupdate.
     ./lib/autoconf/general.m4:204: AC_HELP_STRING is expanded from...
     configure.ac:23: the top level
     configure.ac:28: warning: The macro `AC_HELP_STRING' is obsolete.
     configure.ac:28: You should run autoupdate.
     ./lib/autoconf/general.m4:204: AC_HELP_STRING is expanded from...
     configure.ac:28: the top level
     configure.ac:33: warning: The macro `AC_HELP_STRING' is obsolete.
     configure.ac:33: You should run autoupdate.
     ./lib/autoconf/general.m4:204: AC_HELP_STRING is expanded from...
     configure.ac:33: the top level
     configure.ac:38: warning: The macro `AC_HELP_STRING' is obsolete.
     configure.ac:38: You should run autoupdate.
     ./lib/autoconf/general.m4:204: AC_HELP_STRING is expanded from...
     configure.ac:38: the top level
Flavors: r-devel-linux-x86_64-fedora-clang, r-devel-linux-x86_64-fedora-gcc